PGPDUMP(1)
π NAME π
pgpdump β A PGP packet visualizer. Welcome to the pgpdump(1) page, bestie β yes, the manual name is literally right there and itβs giving main character energy. π
πΈ SYNOPSIS πΈ
pgpdump [options] [PGPfile]
β¨ DESCRIPTION β¨
Okay so pgpdump is a PGP packet visualizer β literally, it displays the packet format of OpenPGP (RFC 9580 and RFC 4880), including the post-quantum algorithms of RFC 9980, and PGP version 2 (RFC 1991). Iconic behavior, no cap.
It also displays the LibrePGP extensions generated by GnuPG: version 5 keys and signatures, the OCB Encrypted Data packet, and version 5 Symmetric-Key Encrypted Session Key packets. Obsessed with the range, honestly. π¦
If PGPfile is not specified, the standard input is read. Both binary and ASCII armored input are accepted β so yes bestie, either kind is welcome. β¨
π OPTIONS: The options are as follows, bestie π
-aβ Accepts ASCII input only. ASCII or nothing, periodt.-gβ Selects alternate dump format, which displays printable characters as they are and others as\xNN(like GnuPG). This oneβs giving GnuPG energy.-hβ Displays a help message. Your little rescue text, slay.-iβ Dumps multi-precision integers and fixed-length key material.-lβ Dumps literal packets.-mβ Dumps marker packets.-pβ Dumps private packets.-uβ Displays UTC time.-vβ Displays the version.
π¦ OUTPUT π¦
Each packet starts with a line such as
New: Signature Packet(tag 2)(63 bytes)
Old: or New: is the format of the packet header: Old: is the legacy format (also used by PGP 2.x) and New: is the OpenPGP format. This is independent of the version of the packet itself. (tag 2) is the packet type ID and (63 bytes) is the length of the packet body.
The indented lines are the fields of the packet body. Ver 3 - old, Ver 4 - new, Ver 5 - librepgp, and Ver 6 - latest are the versions of keys and signatures defined in RFC 1991, RFC 4880, LibrePGP, and RFC 9580, respectively. A number in parentheses, such as (pub 17) or (hash 8), is the algorithm ID or the subpacket type ID defined in the RFCs and LibrePGP. Hashed Sub: and Sub: are subpackets in the hashed and unhashed areas of a signature. ... means that the data is omitted; use the options above to show it. Not the ... being all shy and hiding the data β use the options, bestie. π
π«Ά SEE ALSO π«Ά
Source/version vibes: PGPDUMP(1) from the General Commands Manual β dated September 25, 2026. Bye bestie, slay and stay iconic! πβ¨
π¦ where this page comes from
- arch rolling: pgpdump 0.38-1 Β· BSD-3-Clause
- Copyright (C) 2001 Kazu Yamamoto
- π girlified by deepseek-ai/DeepSeek-V4.1-Flash-1017 on : a language model's rewrite of the original, under its terms